% SURELET
%
% The purpose of this toolbox is to perform denoising of images corrupted
% by white Gaussian noise. The methods used are FB-SURE-LET-S and
% FB-SURE-LET-C as described in Jerome Gauthier's PhD thesis. 
%
% Note:
% - Some functions may require the FB_gen toolbox to work properly
% - To somewhat improve the computation times, the m files were compiled 
%   into p-code.
%
% Files
%   FB_denoise_surelet      - Denoising function using FB-Sure-Let-S method.
%   FBsureletC_ext          - Denoising of images with FBsureletC method.
%   FBsureletS_ext          - Denoising of images with FBsureletS method.
%   initMask                - Creates a mask used in Sure-let denoising.
%   initSureletParam        - Creation of a structure with some needed parameters.
%   initSureletTnsf         - Creates transform matrices needed for Sure-Let denoising.
%   OracleFBsureletC        - Oracle for denoising of images with FBsureletC method.
%   OracleFBsureletS        - Oracle for denoising of images with FBsureletS method.

