% FBsureletS_ext: Denoising of images with FBsureletS method.
% dataR=FBsureletS_ext(imData,MaskElem,D,R,sigma,sigma2)
%
% FBsureletS_ext: This function uses Stein's Unbiased Risk Estimator and the
% Linear Expansion of Thresholds to denoise an image, imData, corrupted by 
% zero-mean Gaussian white noise of variance sigma^2. 
% Subbands used are chosen through an array MaskElem of size (k2.N,k2.N)
% D and R are the transform matrices, as generated by InitSureletTnsf.
% sigma2 (optional) is used in the computation of the thresholding operator.
%
% See also FBSURELETC_EXT, INITMASK, INITSURELETTNSF.
%
% Input:        imData,MaskElem,D,R (array of double), sigma (double)
% Optional:     sigma2 (double)
% Output:       dataR (array of double)
% Uses:         
% Used in:      FB_denoise_surelet
% Comments:
% Notes:
% Created:      2008/02/22
% Modified:     
%
%   Author: Jrme Gauthier, jerome.gauthier@gmail.com
