% OracleFBsureletS: Oracle for denoising of images with FBsureletS method.
% dataO=OracleFBsureletS(imData,data,D,R,N,k2,sigma,sigma2)
%
% OracleFBsureletS: This function computes the result of the Oracle in the
% case of the FB-SURE-LET-S method (with a type IV mask).
% imData represents the noisy version of the image data. 
% D and R are the transform matrices, as generated by InitSureletTnsf.
% N is the downsampling factor.
% k2 is the redundancy factor.
% sigma is the standard deviation of the Gaussian noise used.
% sigma2 (optional) is used in the computation of the thresholding
% operator.
%
% See also ORACLEFBSURELETC, FBSURELETS_EXT, INITSURELETTNSF.
%
% Input:        imData,data,D,R (array of double), N,k2,sigma (double)
% Optional:     
% Output:       dataO (array of double)
% Uses:         
% Used in:
% Comments:
% Notes:
% Created:      2008/02/20
% Modified:     
%
%   Author: Jrme Gauthier, jerome.gauthier@gmail.com
