clear all;
close all;
disp('Demo script for SURE-LET denoising.')

% Parameters:
N=8; 
k=3; 
k2=7/4;

%Loading image
data=double(imread('barbara.gif'));
figure(1); imagesc(data); colormap gray
axis off;axis tight;axis equal
title('Original image')
pause

% Additive noise
sigma=30;
b=randn(256,256);
dataB=data+sigma*b/std(b(:));
figure(2); imagesc(dataB); colormap gray
axis off;axis tight;axis equal
title(strcat('Noisy image, PSNR=',num2str(psnr(data,dataB))))
pause

% SURE-LET denoising
dataR=FB_denoise_surelet(dataB,sigma);
figure(3); imagesc(dataR); colormap gray
axis off;axis tight;axis equal
title(strcat('Denoised image, PSNR=',num2str(psnr(data,dataR))))
