% initMask: Creates a mask used in Sure-let denoising.
% MaskElem=initMask(N,k2,typeMask)
%
% initMask: This function creates the different masks introduced in Jrme
% Gauthier's PhD thesis and used in Sure-let denoising applications.
% Parameters N and k2 represent respectively the downsampling and redundancy
% factors.
% The optional parameter typeMask defines the mask to be used; possible 
% values are in {1,2,3,4} (default value is 1).
%
% See also INITSURELETTNSF, FBSURELETS_EXT, FBSURELETC_EXT
%
% Input:        N (int), k2 (double)
% Optional:     typeMask (int)
% Output:       MaskElem (array of integers)
% Uses:         
% Used in:      FB_denoise_surelet
% Comments:
% Notes:
% Created:      2008/10/02
% Modified:     
%
%   Author: Jrme Gauthier, jerome.gauthier@gmail.com
