% initSureletTnsf: Creates transform matrices needed for Sure-Let denoising.
% [D,R]=initSureletTnsf(Nl,N,k,k2)
%
% initSureletTnsf: This function creates the two transform matrices used 
% in the denoising method introduced in Jrme Gauthier's PhD thesis.
% Parameters N, k , k2 represent respectively the downsampling, overlap
% and redundancy factors.
% Nl is the length of the signal to transform.
%
% See also INITMASK,FBSURELETS_EXT, FBSURELETC_EXT
%
% Input:        Nl, N, k, k2 (double)
% Optional:     
% Output:       D, R (array of complex)
% Uses:         FB_gen_sym, FB_optim_impul_sym
% Used in:      FB_denoise_surelet
% Comments:
% Notes:
% Created:      2008/10/02
% Modified:     
%
%   Author: Jrme Gauthier, jerome.gauthier@gmail.com
